org.jboss.jca.core.tx.jbossts

## Class FirstResourceConnectableXAResourceWrapperImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl
  - - org.jboss.jca.core.tx.jbossts.ConnectableXAResourceWrapperImpl
    - - org.jboss.jca.core.tx.jbossts.FirstResourceConnectableXAResourceWrapperImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.tm.ConnectableResource, org.jboss.tm.FirstResource, org.jboss.tm.XAResourceWrapper

      public class FirstResourceConnectableXAResourceWrapperImpl
      extends ConnectableXAResourceWrapperImpl
      implements org.jboss.jca.core.spi.transaction.FirstResource, org.jboss.tm.FirstResource

  A first resource connectable XAResourceWrapper.
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FirstResourceConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.ConnectableResource cr)` Creates a new wrapper instance.
    `FirstResourceConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.tm.ConnectableResource cr)` Creates a new wrapper instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.ConnectableXAResourceWrapperImpl

      `getConnection, setConnectableResourceListener`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl

      `commit, end, forget, getJndiName, getProductName, getProductVersion, getResource, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FirstResourceConnectableXAResourceWrapperImpl

          public FirstResourceConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource,
                                                               boolean pad,
                                                               java.lang.Boolean override,
                                                               java.lang.String productName,
                                                               java.lang.String productVersion,
                                                               java.lang.String jndiName,
                                                               org.jboss.jca.core.spi.transaction.ConnectableResource cr)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource

    - #### FirstResourceConnectableXAResourceWrapperImpl

          public FirstResourceConnectableXAResourceWrapperImpl(javax.transaction.xa.XAResource resource,
                                                               boolean pad,
                                                               java.lang.Boolean override,
                                                               java.lang.String productName,
                                                               java.lang.String productVersion,
                                                               java.lang.String jndiName,
                                                               org.jboss.tm.ConnectableResource cr)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `ConnectableXAResourceWrapperImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ConnectableXAResourceWrapperImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)